## LandmarkDetailsProps

Props for the LandmarkDetails component.

View Source src/components/LandmarkDetails.tsx, line 204

# Members

Type: boolean

#### # editingEnabled

A flag that determines whether the properties of the Landmark displayed in the LandmarkDetails modal can be edited

View Source src/components/LandmarkDetails.tsx, line 223

Type: Landmark | undefined

#### # landmark

The Landmark object being displayed/edited in the LandmarkDetails modal.

View Source src/components/LandmarkDetails.tsx, line 208

Type: function

#### # setEditing

A callback passed from the parent Map that toggles the ability to edit the Landmark in LandmarkDetails modal.

View Source src/components/LandmarkDetails.tsx, line 218

Type: function

#### # setVisible

A callback passed from the parent Map that toggles the visibility of the LandmarkDetails modal.

View Source src/components/LandmarkDetails.tsx, line 213